Making Old (pre 1.24) Maps Compatible

Do you need World Editor help? Ask here!
Before making a new topic:
First, check if your question has already been answered in the Tutorials section.
If you didn't find a solution, use the search function.
If searching didn't help either, you can make a new topic.

Topic title & content:
You must use a descriptive title. (Help plz is not good) (Need help with Dialog buttons is good)
Go into much detail when posting. You should post attachments. Like screenshots of the problem, the map you are making, replays of the error. Or you could even make a screencast (video) of your problem and upload it here.

Spelling:
Grammar seems to be a serious problem amongst teenagers, so use a spell checker or you will get no love.
Read your posts twice, before pressing the reply button.
And do not use profanity. Chatspeak (y r u nub) and Leetspeak (1 C4N S33 H4X) are not welcome here either.

Only World Editor related questions are allowed here!
(Click for Battle.net help) (Click for World Editor help)

Making Old (pre 1.24) Maps Compatible

New postby soapyboltz on Tue Jun 07, 2011 8:36 pm

Hey, just wanted to say thanks for all the help and information on this forum. :D

I'm very interested in playing dashival's Maze Designer 3.0 map again with some old friends (for the nostalgia of it).
However, the map no longer works, probably due to the 1.24 update.
I managed to deprotect the map with ease and restore the trigger script...
However when saving in the world editor, it returns with a giant list of script errors. (i assume from the changes made in 1.24)

My questions:
Is there any way (yet) make old maps like this one compatible with new warcraft versions?
Is the only real way to salvage this map to rewrite/reformat the entire jass script?

I have zero experience with jass programing. Just wondering if it's possible to play this game once again.
(And don't get me wrong, I enjoy 3ice's maze designer thoroughly. Just wanted to play oldschool MD with some buddies.)

Thanks for any help or information.
Googling this topic only seemed to return mixed and non-informative results.
Last edited by soapyboltz on Wed Jun 08, 2011 5:45 am, edited 1 time in total.
soapyboltz
 
Posts: 7
Joined: Tue Jun 07, 2011 5:09 pm

Re: Making Old (pre 1.24) Maps Compatible

New postby Ian on Tue Jun 07, 2011 9:41 pm

A lot of popular maps were broken with the release of patch 1.24 because of the return bug fix. It's usually very simple to convert a map to be playable for the new patches. If you post the map (or just the script, since that's all I'm going to look at) then I would be able to fix it.
ʎɐqə ɯoɹɟ pɹɐoqʎəʞ ɐ ʎnq ı əɯıʇ ʇsɐl əɥʇ sı sıɥʇ


-Currently semi-inactive
User avatar
Ian
 
Posts: 76
Joined: Fri Aug 20, 2010 7:56 pm
Location: Minnesota
Realm: US East
Account: Sesamia
Clan: 3ICE

Re: Making Old (pre 1.24) Maps Compatible

New postby soapyboltz on Tue Jun 07, 2011 11:16 pm

Wow, that would be great. :D
Thanks for offering to help.

Attached is the deprotected w3x file.

What script are you altering to make the fix?
Last edited by soapyboltz on Wed Jun 08, 2011 4:56 am, edited 1 time in total.
soapyboltz
 
Posts: 7
Joined: Tue Jun 07, 2011 5:09 pm

Re: Making Old (pre 1.24) Maps Compatible

New postby Ian on Wed Jun 08, 2011 12:48 am

war3map.j is what needs to be altered (the map script).

I tested the script in single player and it worked fine. There are still some things that need to be changed (like number of players, etc.). I'll leave that up to you.

http://www.mediafire.com/?i88zcm8513svwiq

Instructions:
1. Follow the link and download the folder..
2. Extract the script and map from the folder.
3. When you're done making changes to the map, open the map using an MPQ editor and import war3map.j (attached with this post).
Last edited by Ian on Wed Jun 08, 2011 1:35 pm, edited 1 time in total.
ʎɐqə ɯoɹɟ pɹɐoqʎəʞ ɐ ʎnq ı əɯıʇ ʇsɐl əɥʇ sı sıɥʇ


-Currently semi-inactive
User avatar
Ian
 
Posts: 76
Joined: Fri Aug 20, 2010 7:56 pm
Location: Minnesota
Realm: US East
Account: Sesamia
Clan: 3ICE

Re: Making Old (pre 1.24) Maps Compatible

New postby soapyboltz on Wed Jun 08, 2011 4:29 am

Thanks for your help on this.
I followed your instructions. Fixed player groups to how they are supposed to be, and replaced the 'war3map.j' file.

The game loads/runs just fine, but It doesn't look like any scripts are running. At all.
There is no unit initialization, no fogofwar command.
I added units and removed the fow myself. There's no slide on ice...tile creation wont work...etc etc.
No triggers, no active script running. It behaves like a blank map.
Loading the map back into WorldEditor shows nothing in the trigger editor.

Any ideas on this one?

I'm attaching the current map file (with the replaced war3map.j, + units I added.)
Grey is the default builder, so any testing should be done as player grey.

Thanks again for any help on this matter.
If this map can get up and running, I'd be more than happy to repay you somehow.
Last edited by soapyboltz on Wed Jun 08, 2011 5:45 am, edited 1 time in total.
soapyboltz
 
Posts: 7
Joined: Tue Jun 07, 2011 5:09 pm

Re: Making Old (pre 1.24) Maps Compatible

New postby 3ICE on Wed Jun 08, 2011 4:34 am

There is no custom war3map.j in that file. Are you sure you imported it?
Also, please stop wasting my storage capacity by uploading half meg files with every post, I have a very limited webspace. Use your own, or just host it off site (megaupload.com, yousendit.com, box.net, mediafire.com, 2shared.com)
fail.png
fail.png (48.8 KiB) Viewed 5284 times
ImageImageImageImageImage
Image
ImageImage
User avatar
3ICE
Admin
 
Posts: 2118
Joined: Sat Mar 01, 2008 11:34 pm
Location: Hungary
Realm: US East
Account: 3ICE
Clan: 3ICE

Re: Making Old (pre 1.24) Maps Compatible

New postby soapyboltz on Wed Jun 08, 2011 5:44 am

Looks like the .j file was replaced with the default file after saving it in the world editor again. My bad.
I followed Ian's instructions from scratch again. Fixed player groups, etc etc.
And replaced the 'war3map.j' with Ian's fix. It is now as intended.

When trying to open this map in warcraft an error box pops-up and warcraft immediately closes.
This happens upon selecting the map, not starting/running it.
Here is current map (with Ian's .j fix):
http://www.mediafire.com/?73ix8knp2bbla6q

apologies for the earlier file uploads. deleted.
Attachments
war3jerror.JPG
error message
war3jerror.JPG (74.77 KiB) Viewed 5333 times
soapyboltz
 
Posts: 7
Joined: Tue Jun 07, 2011 5:09 pm

Re: Making Old (pre 1.24) Maps Compatible

New postby 3ICE on Wed Jun 08, 2011 6:40 am

It is indeed damaged. I have seen this kind of corruption once before, war3map.w3i has data from war3map.wts for some reason (that is unknown to me).
The MPQ can be repaired by rebuilding; create an empty map and import everything from MazeDesigner4.a.w3x
And the (attributes) file needs to be deleted.

And I just saw this:
0kb.png
0kb.png (1.4 KiB) Viewed 5209 times
path is incorrect, file size is too small (needs to be 190kb)
ImageImageImageImageImage
Image
ImageImage
User avatar
3ICE
Admin
 
Posts: 2118
Joined: Sat Mar 01, 2008 11:34 pm
Location: Hungary
Realm: US East
Account: 3ICE
Clan: 3ICE

Re: Making Old (pre 1.24) Maps Compatible

New postby soapyboltz on Wed Jun 08, 2011 4:52 pm

Okay, feels like we're slowly inching closer...

I did as you said 3ice.
Created a new map from scratch, and imported all the object data from the old map. Set gameplayconstants, forces, etc.
I then saved the map and replaced the war3map.j file with Ian's.
The map starts up and runs without error.
However, replacing the .j file apparently erases the initially placed units on the map, as well as the player/forces options.
Units are sliding on ice, which tells me the scripting is functioning.

another thought that came up:
I'm not sure if there were region layers in the original version that have been lost, or if regions are all programed in the jass code.
If there were any layered regions, they were likely vital to the gameplay/coding. Is there a way to confirm this?

Here is a zip file containing:
-the unpatched map
-the map patched with Ians .j file
-Ian's .j file
http://www.mediafire.com/?59lgbu52749tmj5

If the player/forces, initial units, and possible region issues can be sorted out...this map might just be good to go!
Thanks again for all of your generous help.
soapyboltz
 
Posts: 7
Joined: Tue Jun 07, 2011 5:09 pm

Re: Making Old (pre 1.24) Maps Compatible

New postby 3ICE on Wed Jun 08, 2011 4:58 pm

Yep regions, units, etc are all read from the .j file by WC3. Stuff you placed in the world editor are ignored if you overwrite that .j file.

To fix this:
Export the new map script and merge it with the deprotected maze designer script by hand. Look for "Create units for player x" and anything else that stands out. (Compare it with an empty map's script.)

Sounds complex? It is. Some programming experience required.
ImageImageImageImageImage
Image
ImageImage
User avatar
3ICE
Admin
 
Posts: 2118
Joined: Sat Mar 01, 2008 11:34 pm
Location: Hungary
Realm: US East
Account: 3ICE
Clan: 3ICE

Next

Return to HELP



Who is online

Users browsing this forum: No registered users and 2 guests

cron